#pragma once

#include <vulkan/vulkan.h>
#include <glm/glm.hpp>

class Renderer;

class SkyPass {
public:
    SkyPass(Renderer& renderer);
    ~SkyPass();

    void render(glm::vec3 color, VkCommandBuffer commandBuffer);

private:
    void createPipeline();

    VkPipeline pipeline_ = nullptr;
    VkPipelineLayout pipelineLayout_ = nullptr;

    Renderer& renderer_;
};
