#version 460 core
#extension GL_GOOGLE_include_directive : enable

#define SMAA_RT_METRICS vec4(1.0 / 1280.0, 1.0 / 720.0, 1280.0, 720.0)

#define SMAA_PRESET_ULTRA 1
#define SMAA_GLSL_4 1
#define SMAA_INCLUDE_VS 1
#define SMAA_INCLUDE_PS 0
#define SMAA_PREDICATION 1
#define SMAA_FLIP_Y 0

#include "smaa.glsl"

layout(location = 0) out vec2 outUV;
layout(location = 1) out vec4 outOffset;

void main() {
    outUV = vec2((gl_VertexIndex << 1) & 2, gl_VertexIndex & 2);
    gl_Position = vec4(outUV * 2.0 + -1.0, 0.0, 1.0);

    SMAANeighborhoodBlendingVS(outUV, outOffset);
}

