#pragma once

#include <QWidget>
#include <QListView>
#include <QStringListModel>

struct Context;

class Hierarchy : public QWidget {
    Q_OBJECT
public:
    Hierarchy(Context& context, QWidget* parent = nullptr);

private:
    void rebuild();

    QListView* listView = nullptr;
    QStringListModel* listModel = nullptr;

    Context& context;
};
