#pragma once

#include <map>
#include <string>

class Config {
public:
    bool load(const char* from);
    void save(const char* to);

    void set(const char* category, const char* key, const std::string& value);
    std::string get(const char* category, const char* key);

private:
    std::map<std::string, std::map<std::string, std::string>> categories;
};
