#pragma once

#include <vulkan/vulkan.h>
#include <glm/glm.hpp>

struct MaterialAsset {
    glm::vec3 color = glm::vec3(1);
    std::string albedoTexturePath;

    VkImage albedoImage = nullptr;
    VkDeviceMemory albedoMemory = nullptr;
    VkImageView albedoImageView = nullptr;
    VkSampler albedoSampler = nullptr;

    VkDescriptorSet set = nullptr;
};
