#include "stringutils.h"

std::vector<std::string> tokenize(const std::string& str) {
    size_t lastPos = str.find_first_not_of(',', 0);
    size_t pos = str.find_first_of(',', lastPos);
    
    std::vector<std::string> tokens;
    while(pos != std::string::npos || lastPos != std::string::npos) {
        tokens.push_back(str.substr(lastPos, pos - lastPos));
        
        lastPos = str.find_first_not_of(',', pos);
        pos = str.find_first_of(',', lastPos);
    }
    
    return tokens;
}

