#pragma once

#include <QObject>

class Renderer;

using EntityID = uint64_t;

class Context : public QObject {
    Q_OBJECT
public:
    Renderer* renderer;

    std::vector<EntityID> selectedEntities;

signals:
    void selectionChanged();
    void entitiesChanged();
};
