#pragma once

#include <QMainWindow>
#include <QVulkanInstance>

struct Context;
class ToolWindowManager;

class MainWindow : public QMainWindow {
public:
    MainWindow(Context& context);

private:
    void addSceneView();
    void addHierarchy();
    void addProperties();

    Context& context;
    ToolWindowManager* manager = nullptr;
    QVulkanInstance* instance = nullptr;
};
