#include "mainwindow.h"

#include <QListWidget>
#include <QProcess>

MainWindow::MainWindow() {
    setWindowTitle("SDK Launcher");

    QListWidget* appList = new QListWidget();
    appList->addItem("Level Editor");
    appList->addItem("Material Editor");

    connect(appList, &QListWidget::itemClicked, [](QListWidgetItem* item) {
        QString exec;
        if(item->text() == "Level Editor")
            exec = "tools/leveleditor/LevelEditor";
        else if(item->text() == "Material Editor")
            exec = "tools/materialeditor/MaterialEditor";

        QProcess* process = new QProcess();
        process->start(exec);
    });

    setCentralWidget(appList);
}

